/**
 * @package   DocImport
 * @copyright Copyright (c)2023 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

"use strict";

document.querySelectorAll(".select-link").forEach((element) =>
{
    element.addEventListener("click", event =>
    {
        event.preventDefault();

        const {target} = event;
        const id       = target.getAttribute("data-id")
        const title    = target.getAttribute("data-title")
        const link     = target.getAttribute("data-uri")

        if (!Joomla.getOptions("xtd-docimport"))
        {
            if (window.parent.Joomla.Modal)
            {
                window.parent.Joomla.Modal.getCurrent().close();
            }

            return;
        }

        const {editor} = Joomla.getOptions("xtd-docimport");
        const tag      = `<a href="${link}">${title}</a>`;
        window.parent.Joomla.editors.instances[editor].replaceSelection(tag);

        if (window.parent.Joomla.Modal)
        {
            window.parent.Joomla.Modal.getCurrent().close();
        }
    });
});